﻿:root {
    --main-color-add: rgba(245, 130, 7,.7);
    --main-color-edit: rgba(9, 184, 47,.8);
    --main-color-search: rgba(9, 158, 227,.7);
    --main-color-cancel: rgba(50,50,50,.2);
    --main-black: rgb(15,15,15);
}

.viewTitle {
    color: #343a40;
    text-align: center;
    font-weight: 600;
    padding-top: 1rem;
}

/*.viewButton {
    color: blue;
    border: none;
}*/
.v-modal-title {
    color: rgb(40, 41, 71);
}

/*==========按鈕Start*/
.v-btn-add {
    color: rgb(243, 242, 250);
    background-color: var(--main-color-add);
    border-color: var(--main-color-add);
}

    .v-btn-add:hover {
        color: white;
    }

.v-btn-search {
    color: rgb(243, 242, 250);
    background-color: var(--main-color-search);
    border-color: var(--main-color-search);
}

.v-btn-edit {
    color: rgb(243, 242, 250);
    background-color: var(--main-color-edit);
    border-color: var(--main-color-edit);
}

.v-btn-delete {
    color: rgb(243, 242, 250);
    background-color: rgba(242, 10, 10,.7);
    border-color: rgba(242, 10, 10,.7);
}

.v-btn-cancel {
    color: rgb(20,20,20);
    background-color: var(--main-color-cancel);
    border-color: var(--main-color-cancel);
}

    .v-btn-cancel:hover {
        color: var(--main-black);
        background-color: rgba(50,50,50,.3);
        border-color: var(--main-color-cancel);
    }
/*按鈕End==========*/

/*==========輸入框Start*/
.v-row {
    margin-top: 2.5rem;
    display: flex;
    flex-flow: row wrap;
    align-items: center;
}

    .v-row > .v-f-group {
        margin-bottom: 2.5rem;
    }

        .v-row > .v-f-group > .v-f-control {
            width: 100%;
        }

.v-f-control {
    border: 1px solid rgba(0, 10, 254, 0.8);
    display: block;
    height: calc(1.5em + 0.75rem + 2px);
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.f-control-placeholder {
    -webkit-transition: all 200ms;
    -o-transition: all 200ms;
    position: absolute;
    top: 0;
    padding: 7px 0 0 10px;
    transition: all 200ms;
    opacity: 0.8;
    color: rgb(107, 107, 107);
}

.v-f-control:focus + .f-control-placeholder,
.v-f-control:valid + .f-control-placeholder {
    font-size: 100%;
    -webkit-transform: translate3d(0, -100%, 0);
    transform: translate3d(0, -100%, 0);
    opacity: 1;
}

.f-control-placeholder-paste {
    font-size: 100%;
    -webkit-transform: translate3d(0, -100%, 0);
    transform: translate3d(0, -100%, 0);
    opacity: 1;
}

.v-border-add {
    border-color: var(--main-color-add) !important;
}

.v-border-search {
    border-color: var(--main-color-search) !important;
}

.v-border-edit {
    border-color: var(--main-color-edit) !important;
}
/*輸入框End==========*/
